<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/background_shape_white_radius_5">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="24dp"
            android:drawableLeft="@drawable/ic_regulation_test_hint"
            android:drawablePadding="4dp"
            android:text="礼仪测试"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="24dp"
            android:lineSpacingExtra="7dp"
            android:text="@string/regulation_hint"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title" />

        <TextView
            android:id="@+id/link"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginRight="24dp"
            android:lineSpacingExtra="7dp"
            android:text="@string/regulation_link"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintLeft_toLeftOf="@id/content"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/content" />

        <View
            android:id="@+id/line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="24dp"
            android:background="@color/ui_divider"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/link" />

        <TextView
            android:id="@+id/cancel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="跳过"
            android:textColor="@color/text_primary"
            android:textSize="14sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/confirm"
            app:layout_constraintTop_toBottomOf="@id/line" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="@color/ui_divider"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@id/confirm"
            app:layout_constraintTop_toBottomOf="@id/line" />

        <TextView
            android:id="@+id/confirm"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="确定"
            android:textColor="@color/text_theme"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/cancel"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>